Index: trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 476)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/DataEntry/Request/RequestInput/FrmRequestInputAuxiliary.cs	(revision 477)
@@ -2066,7 +2066,7 @@
         private void CreateRequest()
         {
             // 最大受付番号加算
-            m_nMaxOrderNo++;
+            m_nMaxOrderNo = 1;
 
             // 請求ヘッダの生成
             CreateRequestHead(m_nMaxOrderNo);
@@ -2475,8 +2475,6 @@
         }
         #endregion
 
-        #region ボディ部の設定
-
         #region 工事タイプ文字列
         /// <summary>
         /// 工事タイプ文字列
@@ -2491,6 +2489,7 @@
         private string[] s_BillTypeName = new string[] { "請求金額", "消費税" };
         #endregion
 
+        #region ボディ部の設定
         /// <summary>
         /// ボディ部の設定
         /// </summary>
@@ -2565,7 +2564,19 @@
                         SetAmount((int)ColumnName1.ConstrAmount, trow, lAmount);
 
                         // 消費税
-                        lAmount = (long)inf.OrdersDecisionPriceInTax - (long)inf.OrdersDecisionPrice;
+                        lAmount = 0;
+                        for (int i = 0; i < m_nMaxOrderNo; i++)
+                        {
+                            Dictionary<int, List<RequestDataDetail>> dic = m_lstRequestDataDetail[i];
+
+                            if (dic.TryGetValue(ReqDetail.ConstructionCode, out List<RequestDataDetail> wrklst))
+                            {
+                                if (dic == null) break;
+                                lAmount += wrklst.Sum(y => y.TaxAmount);
+                            }
+                        }
+                        if (lAmount == 0)
+                            lAmount = (long)inf.OrdersDecisionPriceInTax - (long)inf.OrdersDecisionPrice;
                         SetAmount((int)ColumnName1.ConstrAmount, trow + 1, lAmount);
 
                         m_nMaxRowNo = trow + 1;
@@ -4544,7 +4555,6 @@
         /// <returns></returns>
         private bool PettionProcess()
         {
-            IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             IOProcessApproval ProAppDB = new IOProcessApproval();
             try
             {
@@ -4555,10 +4565,7 @@
                 if (!CheckApprovalOrder()) return false;
 
                 // 請求データが無い場合は登録する
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(OrderDB.CreatePrimarykeyString(m_ConstructionCode));
-                PurchaseOrder DataRec = new PurchaseOrder();
-                if (!OrderDB.SelectAction(strSQL.ToString(), ref DataRec)) m_bDirty = true;
+                m_bDirty = CheckDataExists();
 
                 // データ変更有時はデータ登録
                 if (m_bDirty)
@@ -4596,7 +4603,6 @@
             }
             finally
             {
-                OrderDB.close(); OrderDB = null;
                 ProAppDB.close(); ProAppDB = null;
             }
         }
@@ -4610,7 +4616,6 @@
         private bool OneApprovalProcess()
         {
             FrmApprovalScreen frm = new FrmApprovalScreen();
-            IOPurchaseOrder OrderDB = new IOPurchaseOrder();
             IOProcessApproval ProAppDB = new IOProcessApproval();
             try
             {
@@ -4621,10 +4626,7 @@
                 if (!CheckApprovalOrder()) return false;
 
                 // 請求データが無い場合は登録する
-                StringBuilder strSQL = new StringBuilder();
-                strSQL.Append(OrderDB.CreatePrimarykeyString(m_ConstructionCode));
-                PurchaseOrder DataRec = new PurchaseOrder();
-                if (!OrderDB.SelectAction(strSQL.ToString(), ref DataRec)) m_bDirty = true;
+                m_bDirty = CheckDataExists();
 
                 // データ変更有時はデータ登録
                 if (m_bDirty)
@@ -4673,12 +4675,42 @@
             {
                 // 画面を閉じる
                 frm.Close(); frm.Dispose(); frm = null;
-                OrderDB.close(); OrderDB = null;
                 ProAppDB.close(); ProAppDB = null;
             }
         }
         #endregion
 
+        #region 請求データ存在確認
+        /// <summary>
+        /// 請求データ存在確認
+        /// </summary>
+        /// <returns></returns>
+        private bool CheckDataExists()
+        {
+            IORequestHead ReqDB = new IORequestHead();
+            try
+            {
+                // 請求データが無い場合は登録する
+                StringBuilder strSQL = new StringBuilder();
+                strSQL.AppendFormat(" Where REQCONSTRUCTIONCODE = {0}", m_ConstructionCode);
+                strSQL.AppendFormat(" And ORDERNO = {0}", m_OrderNo);
+                RequestHead DataRec = new RequestHead();
+                if (!ReqDB.SelectAction(strSQL.ToString(), ref DataRec)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ReqDB.close(); ReqDB = null;
+            }
+        }
+        #endregion
+
         #region 請求データ取消処理
         /// <summary>
         /// 請求データ取消処理
@@ -4698,23 +4730,27 @@
                     return false;
                 }
 
+                // 請求ヘッダ
+                frm.lstRequestHead = m_lstRequestHead[m_nMaxOrderNo - 1];
+
+                // 請求明細
+                Dictionary<int, List<RequestDataDetail>> ReqDetail = m_lstRequestDataDetail[m_nMaxOrderNo - 1];
+                frm.lstRequestDataDetail = ReqDetail[m_nMaxOrderNo - 1].ToList();
+
                 // 請求回数
                 frm.RequestCount = m_nMaxOrderNo;
                 // 請求金額
                 frm.RequestPrice = m_lstRequestHead[m_nMaxOrderNo - 1].RequestAmount;
 
-                if (frm.ShowDialog() == DialogResult.Cancel) return false;
+                if (frm.ShowDialog(this) == DialogResult.Cancel) return false;
                 // 取消理由
                 string strRetText = frm.Reason;
 
                 // 請求取消処理
-                if (!ExecRemoveRequest(strRetText))
-                {
-                    return false;
-                }
+                if (!ExecRemoveRequest(strRetText)) return false;
 
                 // データ表示
-                DataDisplay();
+                //DataDisplay();
 
                 return true;
             }
@@ -4777,10 +4813,33 @@
         /// <summary>
         /// 請求取消処理
         /// </summary>
-        /// <param name="strRetText"></param>
         /// <returns></returns>
         private bool ExecRemoveRequest(string strRetText)
         {
+            try
+            {
+                // 取消データ書込み処理
+                if (!WriteRemoveRequest(strRetText)) return false;
+
+
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 請求取消データ書込み処理
+        /// <summary>
+        /// 請求取消データ書込み処理
+        /// </summary>
+        /// <returns></returns>
+        private bool WriteRemoveRequest(string strRetText)
+        {
             IORemoveRequest rrDB = new IORemoveRequest();
             IORemoveRequestDetail rrdDB = new IORemoveRequestDetail();
             try
